Package org.apache.sling.event.impl.support

# Class BatchResourceRemover

java.lang.Object
org.apache.sling.event.impl.support.BatchResourceRemover

public class BatchResourceRemover extends Object
This class can be used for batch removal of resources

## Constructor Summary

Constructors
Constructor
Description
`BatchResourceRemover()`
`BatchResourceRemover(int batchSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(org.apache.sling.api.resource.Resource rsrc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BatchResourceRemover

public BatchResourceRemover()

### BatchResourceRemover

public BatchResourceRemover(int batchSize)

## Method Details

### delete

public void delete(org.apache.sling.api.resource.Resource rsrc) throws org.apache.sling.api.resource.PersistenceException

Throws:
  `org.apache.sling.api.resource.PersistenceException`